Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2008737 - snapd broken in Fedora 35 beta
Summary: snapd broken in Fedora 35 beta
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Maciek Borzecki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-29 03:23 UTC by P D
Modified: 2021-10-10 23:09 UTC (History)
4 users (show)

Fixed In Version: snapd-2.52-1.fc35 snapd-2.52-1.fc33 snapd-2.52-1.fc34 snapd-2.52-1.el7 snapd-2.52-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-01 00:14:49 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description P D 2021-09-29 03:23:18 UTC
Description of problem:

snapd is broken in fedora 35 beta. No snaps launch. instead they give a similar error to the one below:

WARNING: cgroup v2 is not fully supported yet, proceeding with partial confinement
runtime/cgo: pthread_create failed: Operation not permitted
SIGABRT: abort
PC=0x590143 m=0 sigcode=18446744073709551610

goroutine 0 [idle]:
runtime: unknown pc 0x590143
stack: frame={sp:0x7fffdcd6e410, fp:0x0} stack=[0x7fffdc56f8c8,0x7fffdcd6e900)
00007fffdcd6e310:  00007fffdcd6e350  000000000046befe <runtime.callCgoMmap+62> 
00007fffdcd6e320:  00007fffdcd6e320  00007fffdcd6e358 
00007fffdcd6e330:  00007fffdcd6e368  00000000005766cc 
00007fffdcd6e340:  00000000005fecd0  000000001c000004 
00007fffdcd6e350:  000000000057dd50  0000000000000000 
00007fffdcd6e360:  0000000000000000  0000000000596abe 
00007fffdcd6e370:  0000000000000000  0000000000000000 
00007fffdcd6e380:  0000000000000010  0000000000000000 
00007fffdcd6e390:  0000000000000120  0000000000000110 
00007fffdcd6e3a0:  00007f6f4dd87fff  0000000000000012 
00007fffdcd6e3b0:  0020300000000000  00000000005cf111 
00007fffdcd6e3c0:  00007f6f4da67640  00007fffdcd6e680 
00007fffdcd6e3d0:  00007fffdcd6e4ee  00007fffdcd6e4ef 
00007fffdcd6e3e0:  00007f6f4da67640  000000000058ead5 
00007fffdcd6e3f0:  000080c00003bfff  00000000000209a0 
00007fffdcd6e400:  00000000003d0f00  0000000000590135 
00007fffdcd6e410: <00007f6f4da67910  0000000000000006 
00007fffdcd6e420:  0000000000000001  000000000057dcd6 
00007fffdcd6e430:  00000000008047c0  00000000004011ec 
00007fffdcd6e440:  0000000000000020  0000000000000000 
00007fffdcd6e450:  0000000000000000  f27d072410ddac00 
00007fffdcd6e460:  00007fffdcd6e530  00007f6f4da67640 
00007fffdcd6e470:  0000000000000000  00007fffdcd6e680 
00007fffdcd6e480:  00007f6f4da67640  000000000058f7ea 
00007fffdcd6e490:  00007fffdcd6e680  000000000058966d 
00007fffdcd6e4a0:  0000000001faf650  00000000007bd640 
00007fffdcd6e4b0:  000000000066fc1c  000000000058966d 
00007fffdcd6e4c0:  0000000000000828  00000000007bd640 
00007fffdcd6e4d0:  00000000007bd6c3  00000000007d4ee0 
00007fffdcd6e4e0:  0000000000000828  000000000058871e 
00007fffdcd6e4f0:  0000000000000001  00000000007bd640 
00007fffdcd6e500:  0000000001fae3c0  00007fffdcd6e740 
runtime: unknown pc 0x590143
stack: frame={sp:0x7fffdcd6e410, fp:0x0} stack=[0x7fffdc56f8c8,0x7fffdcd6e900)
00007fffdcd6e310:  00007fffdcd6e350  000000000046befe <runtime.callCgoMmap+62> 
00007fffdcd6e320:  00007fffdcd6e320  00007fffdcd6e358 
00007fffdcd6e330:  00007fffdcd6e368  00000000005766cc 
00007fffdcd6e340:  00000000005fecd0  000000001c000004 
00007fffdcd6e350:  000000000057dd50  0000000000000000 
00007fffdcd6e360:  0000000000000000  0000000000596abe 
00007fffdcd6e370:  0000000000000000  0000000000000000 
00007fffdcd6e380:  0000000000000010  0000000000000000 
00007fffdcd6e390:  0000000000000120  0000000000000110 
00007fffdcd6e3a0:  00007f6f4dd87fff  0000000000000012 
00007fffdcd6e3b0:  0020300000000000  00000000005cf111 
00007fffdcd6e3c0:  00007f6f4da67640  00007fffdcd6e680 
00007fffdcd6e3d0:  00007fffdcd6e4ee  00007fffdcd6e4ef 
00007fffdcd6e3e0:  00007f6f4da67640  000000000058ead5 
00007fffdcd6e3f0:  000080c00003bfff  00000000000209a0 
00007fffdcd6e400:  00000000003d0f00  0000000000590135 
00007fffdcd6e410: <00007f6f4da67910  0000000000000006 
00007fffdcd6e420:  0000000000000001  000000000057dcd6 
00007fffdcd6e430:  00000000008047c0  00000000004011ec 
00007fffdcd6e440:  0000000000000020  0000000000000000 
00007fffdcd6e450:  0000000000000000  f27d072410ddac00 
00007fffdcd6e460:  00007fffdcd6e530  00007f6f4da67640 
00007fffdcd6e470:  0000000000000000  00007fffdcd6e680 
00007fffdcd6e480:  00007f6f4da67640  000000000058f7ea 
00007fffdcd6e490:  00007fffdcd6e680  000000000058966d 
00007fffdcd6e4a0:  0000000001faf650  00000000007bd640 
00007fffdcd6e4b0:  000000000066fc1c  000000000058966d 
00007fffdcd6e4c0:  0000000000000828  00000000007bd640 
00007fffdcd6e4d0:  00000000007bd6c3  00000000007d4ee0 
00007fffdcd6e4e0:  0000000000000828  000000000058871e 
00007fffdcd6e4f0:  0000000000000001  00000000007bd640 
00007fffdcd6e500:  0000000001fae3c0  00007fffdcd6e740 

goroutine 1 [running]:
runtime.systemstack_switch()
        /usr/lib/golang/src/runtime/asm_amd64.s:339 fp=0xc000040788 sp=0xc000040780 pc=0x4683c0
runtime.main()
        /usr/lib/golang/src/runtime/proc.go:144 +0x8d fp=0xc0000407e0 sp=0xc000040788 pc=0x43978d
runtime.goexit()
        /usr/lib/golang/src/runtime/asm_amd64.s:1371 +0x1 fp=0xc0000407e8 sp=0xc0000407e0 pc=0x46a201

rax    0x0
rbx    0x1fae3c0
rcx    0x590143
rdx    0x6
rdi    0x1edba
rsi    0x1edba
rbp    0x1edba
rsp    0x7fffdcd6e410
r8     0x7fffdcd6e440
r9     0x6a2420
r10    0x8
r11    0x202
r12    0x6
r13    0x7fffdcd6e740
r14    0x66ae8a
r15    0x0
rip    0x590143
rflags 0x202
cs     0x33
fs     0x0
gs     0x0



Version-Release number of selected component (if applicable):

snapd-2.51.7-1.fc35.x86_64

How reproducible:

100%


Steps to Reproduce:
1. install snapd
2. install some snap, for example, "htmldoc"
3. run snap in terminal, get error like the one above instead of snap launching

Actual results:

snapd crashes

Expected results:

snapd to work

Additional info:

Comment 1 Maciek Borzecki 2021-09-29 05:58:31 UTC
This is fixed in master already. I'll update snapd to 2.52 and will cherry pick the relevant patch in the process.

Comment 2 Fedora Update System 2021-09-29 09:54:44 UTC
FEDORA-2021-63d203e954 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-63d203e954

Comment 3 Fedora Update System 2021-09-29 09:54:44 UTC
FEDORA-2021-902f1321f5 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-902f1321f5

Comment 4 Fedora Update System 2021-09-29 09:54:45 UTC
FEDORA-2021-9bdff5e318 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9bdff5e318

Comment 5 Fedora Update System 2021-09-29 09:55:27 UTC
FEDORA-EPEL-2021-7949fc5f65 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7949fc5f65

Comment 6 Fedora Update System 2021-09-29 09:55:28 UTC
FEDORA-EPEL-2021-37eb185fca has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-37eb185fca

Comment 7 P D 2021-09-29 16:40:16 UTC
Thanks for the quick fix.

Comment 8 Fedora Update System 2021-09-30 01:21:04 UTC
FEDORA-EPEL-2021-7949fc5f65 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7949fc5f65

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-30 01:43:02 UTC
FEDORA-2021-63d203e954 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-63d203e954`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-63d203e954

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-09-30 01:50:31 UTC
FEDORA-2021-9bdff5e318 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9bdff5e318`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9bdff5e318

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-30 02:11:55 UTC
FEDORA-2021-902f1321f5 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-902f1321f5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-902f1321f5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-09-30 20:48:07 UTC
FEDORA-EPEL-2021-37eb185fca has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-37eb185fca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-10-01 00:14:49 UTC
FEDORA-2021-63d203e954 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-10-07 17:08:07 UTC
FEDORA-2021-9bdff5e318 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-10-07 17:18:10 UTC
FEDORA-2021-902f1321f5 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-10-10 03:06:49 UTC
FEDORA-EPEL-2021-7949fc5f65 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-10-10 23:09:48 UTC
FEDORA-EPEL-2021-37eb185fca has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.